# class toDatatype

Widget used to represent a datatype selection for a column. More...

Definition | `#include <todatatype.h>`
Inherits | QHBox (qt) [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toDatatype (toConnection &conn,const QString &def,QWidget *parent,const char *name=NULL)
- toDatatype (toConnection &conn,QWidget *parent,const char *name=NULL)
- QString type () const

#### Public Slots

- void setType (const QString &type)
- void setCustom (bool prefer)

## Detailed Description

Widget used to represent a datatype selection for a column.

toDatatype (toConnection &conn,const QString &def,QWidget *parent,const char *name=NULL)

### toDatatype

Create the widget and specify connection and the datatype.

Parameters:

conn | Connection to specify datatype for.
def | Initial datatype to use.
parent | The parent widget.
name | Name of widget.

toDatatype (toConnection &conn,QWidget *parent,const char *name=NULL)

### toDatatype

Create the widget and specify connection.

Parameters:

conn | Connection to specify datatype for.
parent | The parent widget.
name | Name of widget.

QString type ()

### type

[const]

Get a string representation of the type.

void setType (const QString &type)

### setType

[slot]

Change the type.

Parameters:

type | The entire type specification (Including posible size and precision)

void setCustom (bool prefer)

### setCustom

[slot]

Indicate if you would prefer to enter a custom datatype or if posible use the simpler controls.

Parameters:

prefer | If true always use custom controls.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.